# Uses of Interface
javax.net.ssl.KeyManager

Packages that use KeyManager
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of KeyManager in javax.net.ssl

Subinterfaces of KeyManager in javax.net.ssl
Modifier and Type
Interface
Description
`interface`
`X509KeyManager`
Instances of this interface manage which X509 certificate-based key pairs are used to authenticate the local side of a secure socket.
Classes in javax.net.ssl that implement KeyManager
Modifier and Type
Class
Description
`class`
`X509ExtendedKeyManager`
Abstract class that provides for extension of the X509KeyManager interface.
Methods in javax.net.ssl that return KeyManager
Modifier and Type
Method
Description
`protected abstract KeyManager[]`
KeyManagerFactorySpi.`engineGetKeyManagers()`
Returns one key manager for each type of key material.
`KeyManager[]`
KeyManagerFactory.`getKeyManagers()`
Returns one key manager for each type of key material.
Methods in javax.net.ssl with parameters of type KeyManager
Modifier and Type
Method
Description
`protected abstract void`
SSLContextSpi.`engineInit​(KeyManager[] km, TrustManager[] tm, SecureRandom sr)`
Initializes this context.
`void`
SSLContext.`init​(KeyManager[] km, TrustManager[] tm, SecureRandom random)`
Initializes this context.